Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.servlet
Class DummyParameterRequestWrapper

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.jasig.portal.container.servlet.DummyParameterRequestWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class DummyParameterRequestWrapper

extends javax.servlet.http.HttpServletRequestWrapper

This `HttpServletRequestWrapper` overrides the parameter related methods of a `HttpServletRequest`. It will either use an empty `Map` or the `Map` provided to the constructer to answer parameter questions.

Version:
  $Revision: 1.2 $
Author:
  Eric Dalquist edalquist@unicon.net

Field Summary
`(package private) java.util.Map` | `params`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`DummyParameterRequestWrapper(javax.servlet.http.HttpServletRequest request)` Creates a wrapper that has no parameters.
`DummyParameterRequestWrapper(javax.servlet.http.HttpServletRequest request, java.util.Map dummyParameters)` Creates a wrapper that uses the specified parameters.

Method Summary
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Field Detail

### params

    final java.util.Map params

Constructor Detail

### DummyParameterRequestWrapper

    public DummyParameterRequestWrapper(javax.servlet.http.HttpServletRequest request)

  Creates a wrapper that has no parameters. This will hide and parameters from the wrapped request.

  Parameters:
    `request` - The request to wrap.

### DummyParameterRequestWrapper

    public DummyParameterRequestWrapper(javax.servlet.http.HttpServletRequest request,
                                        java.util.Map dummyParameters)

  Creates a wrapper that uses the specified parameters. Passing `null` in is the same as calling `DummyParameterRequestWrapper(HttpServletRequest)`.

  Parameters:
    `request` - The request to wrap.
    `dummyParameters` - The `Map` to use as the backing for the paramters of this request, may be `null`.

Method Detail

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameter` in class `javax.servlet.ServletRequestWrapper`

### getParameterMap

    public java.util.Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterNames` in class `javax.servlet.ServletRequestWrapper`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD